package com.tuoheng.admin.service.airport;

import com.tuoheng.admin.entity.request.airport.DroneControlRequest;
import com.tuoheng.admin.entity.request.airport.PointFlightRequest;
import com.tuoheng.common.utils.JsonResult;
import org.springframework.web.bind.annotation.PostMapping;

public interface AirportService {

    /**
     * 获取机场列表
     *
     * @return
     */
    JsonResult getList();

    /**
     * 定点飞行
     * @param airportId
     * @return
     */
    JsonResult getDroneDataById(String airportId);

    /**
     * 定点飞行
     * @param request
     * @return
     */
    JsonResult pointFlight(PointFlightRequest request);

    /**
     * 操制无人机
     * @param request
     * @return
     */
    JsonResult droneControl(DroneControlRequest request);
}
